Announcement: Nixtla Enterprise now offers top foundation models, MCP, and agentic capabilities: join the waitlist
curl --request POST \
--url https://api.nixtla.io/v2/anomaly_detection \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"series": {
"y": [
123
],
"sizes": [
123
],
"X": [
[
123
]
]
},
"freq": "<string>",
"model": "timegpt-1",
"clean_ex_first": true,
"finetuned_model_id": "<string>",
"level": 99
}
'{
"input_tokens": 1,
"output_tokens": 1,
"finetune_tokens": 1,
"mean": [
123
],
"sizes": [
123
],
"anomaly": [
true
],
"intervals": {},
"weights_x": [
123
],
"feature_contributions": [
[
123
]
]
}Based on the provided data, this endpoint detects the anomalies in the historical perdiod of multiple time series at once. It takes a JSON as an input containing information like the series frequency and historical data. (See below for a full description of the parameters.) The response contains a flag indicating if the date has an anomaly and also provides the prediction interval used to define if an observation is an anomaly.Get your token for private beta at https://nixtla.io/free-trial?utm_source=nixtla.io&utm_campaign=/docs/api-reference.
curl --request POST \
--url https://api.nixtla.io/v2/anomaly_detection \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"series": {
"y": [
123
],
"sizes": [
123
],
"X": [
[
123
]
]
},
"freq": "<string>",
"model": "timegpt-1",
"clean_ex_first": true,
"finetuned_model_id": "<string>",
"level": 99
}
'{
"input_tokens": 1,
"output_tokens": 1,
"finetune_tokens": 1,
"mean": [
123
],
"sizes": [
123
],
"anomaly": [
true
],
"intervals": {},
"weights_x": [
123
],
"feature_contributions": [
[
123
]
]
}Documentation Index
Fetch the complete documentation index at: https://nixtla.io/docs/llms.txt
Use this file to discover all available pages before exploring further.
HTTPBearer
Show child attributes
The frequency of the data represented as a string. 'D' for daily, 'M' for monthly, 'H' for hourly, and 'W' for weekly frequencies are available.
Model to use as a string. Common options are (but not restricted to) timegpt-1 and timegpt-1-long-horizon. Full options vary by different users. Contact support@nixtla.io for more information. We recommend using timegpt-1-long-horizon for forecasting if you want to predict more than one seasonal period given the frequency of your data.
A boolean flag that indicates whether the API should preprocess (clean) the exogenous signal before applying the large time model. If True, the exogenous signal is cleaned; if False, the exogenous variables are applied after the large time model.
ID of previously finetuned model
^[a-zA-Z0-9\-_]{1,36}$Specifies the confidence level for the prediction interval used in anomaly detection. It is represented as a percentage between 0 and 100. For instance, a level of 95 indicates that the generated prediction interval captures the true future observation 95% of the time. Any observed values outside of this interval would be considered anomalies. A higher level leads to wider prediction intervals and potentially fewer detected anomalies, whereas a lower level results in narrower intervals and potentially more detected anomalies. Default: 99.
0 <= x < 100Successful Response
x >= 0x >= 0x >= 0Show child attributes
Was this page helpful?